Package de.gebit.integrity.dsl

## Interface Test

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`, `SuiteStatementWithResult`
  All Known Implementing Classes:
    `TestImpl`

      public interface Test
      extends SuiteStatementWithResult

  A representation of the model object 'Test'.

  The following features are supported:

  - `Checkpoint`
  - `Definition`
  - `Parameters`
  - `Results`
  - `Result`
  See Also:
    `DslPackage.getTest()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCheckpoint()` | Returns the value of the 'Checkpoint' attribute.
    `TestDefinition` | `getDefinition()` | Returns the value of the 'Definition' reference.
    `org.eclipse.emf.common.util.EList<Parameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `ValueOrEnumValueOrOperationCollection` | `getResult()` | Returns the value of the 'Result' containment reference.
    `org.eclipse.emf.common.util.EList<NamedResult>` | `getResults()` | Returns the value of the 'Results' containment reference list.
    `void` | `setCheckpoint​(String value)` | Sets the value of the '`Checkpoint`' attribute.
    `void` | `setDefinition​(TestDefinition value)` | Sets the value of the '`Definition`' reference.
    `void` | `setResult​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Result`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCheckpoint

          String getCheckpoint()

      Returns the value of the 'Checkpoint' attribute.
      Returns:
        the value of the 'Checkpoint' attribute.
      See Also:
        `setCheckpoint(String)`, `DslPackage.getTest_Checkpoint()`

    - #### setCheckpoint

          void setCheckpoint​(String value)

      Sets the value of the '`Checkpoint`' attribute.
      Parameters:
        `value` - the new value of the 'Checkpoint' attribute.
      See Also:
        `getCheckpoint()`

    - #### getDefinition

          TestDefinition getDefinition()

      Returns the value of the 'Definition' reference.
      Returns:
        the value of the 'Definition' reference.
      See Also:
        `setDefinition(TestDefinition)`, `DslPackage.getTest_Definition()`

    - #### setDefinition

          void setDefinition​(TestDefinition value)

      Sets the value of the '`Definition`' reference.
      Parameters:
        `value` - the new value of the 'Definition' reference.
      See Also:
        `getDefinition()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<Parameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getTest_Parameters()`

    - #### getResults

          org.eclipse.emf.common.util.EList<NamedResult> getResults()

      Returns the value of the 'Results' containment reference list. The list contents are of type `NamedResult`.
      Returns:
        the value of the 'Results' containment reference list.
      See Also:
        `DslPackage.getTest_Results()`

    - #### getResult

          ValueOrEnumValueOrOperationCollection getResult()

      Returns the value of the 'Result' containment reference.
      Returns:
        the value of the 'Result' containment reference.
      See Also:
        `setResult(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getTest_Result()`

    - #### setResult

          void setResult​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Result`' containment reference.
      Parameters:
        `value` - the new value of the 'Result' containment reference.
      See Also:
        `getResult()`